## astroid 3.2.2

=== doc/requirements.txt ===
-e .
sphinx~=7.3
furo==2024.4.27

=== debian/changelog ===
astroid (3.2.2-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * use new dh-sequence-python3

  [ Daniel Echeverri ]
  * New upstream version 3.2.2
  * bump Standards-Version to 4.7.0 (no changes needed)

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 02 Jun 2024 20:07:14 -0500

astroid (3.1.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 3.1.0
  * six is needed for tests, not at runtime

  [ Daniel Echeverri ]
  * Fix clean and copyright years, set Rules-Requires-Root
    + thanks to Nicolas Boulenguez for the changes!
  * Set myself as maintainer. (Closes: #1065237)

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 06 Apr 2024 19:44:21 -0500

=== debian/control ===
Source: astroid
Section: python
Priority: optional
Maintainer: Daniel Echeverri <epsilon@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-lazy-object-proxy (>= 1.4.0),
               python3-pip <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools,
               python3-six,
               python3-typing-extensions (>= 3.10.0) <!nocheck>,
               python3-wrapt,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/pylint-dev/astroid
Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid

Package: python3-astroid
Architecture: all
Depends: python3-setuptools,
         python3-typing-extensions,
         ${misc:Depends},
         ${python3:Depends},
Description: rebuild a new abstract syntax tree from Python's AST (Python3)
 The aim of this module is to provide a common base representation of
 Python source code for projects such as pychecker, pyreverse,
 pylint... Well, actually the development of this library is essentially
 governed by pylint's needs. It used to be called logilab-astng.
 .
 It provides a compatible representation which comes from the `_ast`
 module.  It rebuilds the tree generated by the builtin _ast module by
 recursively walking down the AST and building an extended ast. The new
 node classes have additional methods and attributes for different
 usages.  They include some support for static inference and local name
 scopes.  Furthermore, astroid builds partial trees by inspecting living
 objects.
 .
 Main modules are:
 .
   * `bases`, `node_classses` and `scoped_nodes` contain the classes for the
     different type of nodes of the tree.
 .
   * the `manager` contains a high level object to get astroid trees from
     source files and living objects. It maintains a cache of previously
     constructed tree for quick access.
 .
 python3-astroid is the new name of former python3-logilab-astng library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=astroid
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/astroid/
export PYBUILD_AFTER_TEST=rm -r {build_dir}/astroid/tests

%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%astroid-$1.tar.gz%" \
https://github.com/pylint-dev/astroid/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## astroid 3.3.5

=== debian/changelog ===
astroid (3.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable autopkgtest-pkg-pybuild.
  * Breaks: pylint (<< 3.3.0); earlier versions of pylint have
    inconsistent_quotes_fstring_py312 failures with this version of astroid.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Oct 2024 16:00:14 +0100

astroid (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
    + Thanks to Bruno Ribeiro for the MR.
  * Add d/lintian-overrides
    + Thanks to nicolas for the patch.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 15 Sep 2024 21:06:25 -0500

## astroid 3.3.6

=== debian/changelog ===
astroid (3.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 18:16:59 +0000

## astroid 3.3.7

=== debian/changelog ===
astroid (3.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 21 Dec 2024 23:36:28 +0000

## astroid 3.3.8

=== debian/changelog ===
astroid (3.3.8-2) unstable; urgency=medium

  * Team upload.
  * Remove runtime dep on python3-setuptools
  * Set DPT as Maintainer per new Team Policy

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 14:15:07 +0100

astroid (3.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 28 Dec 2024 23:47:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: astroid
 Section: python
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Daniel Echeverri <epsilon@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
@@ -20,13 +20,14 @@
 Homepage: https://github.com/pylint-dev/astroid
 Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-astroid
 Architecture: all
-Depends: python3-setuptools,
-         python3-typing-extensions,
+Depends: python3-typing-extensions,
          ${misc:Depends},
          ${python3:Depends},
+Breaks: pylint (<< 3.3.0),
 Description: rebuild a new abstract syntax tree from Python's AST (Python3)
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=astroid

%:
	dh $@ --buildsystem pybuild

## astroid 4.0.2

=== debian/changelog ===
astroid (4.0.2-1ubuntu1) resolute; urgency=medium

  * d/p/Fix-method-classification-for-pygobject-3.51.0.patch:
    Use inspect.signature() for pygobject>=3.51.0 to tell apart
    functions from methods and add tests. (LP: #2138300)

 -- Oliver Reiche <oliver.reiche@canonical.com>  Tue, 13 Jan 2026 16:20:35 +0100

astroid (4.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1123098).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 23:33:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: astroid
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniel Echeverri <epsilon@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-lazy-object-proxy (>= 1.4.0),
+               python3-mypy <!nocheck>,
                python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
@@ -27,7 +29,7 @@
 Depends: python3-typing-extensions,
          ${misc:Depends},
          ${python3:Depends},
-Breaks: pylint (<< 3.3.0),
+Breaks: pylint (<< 4.0.0),
 Description: rebuild a new abstract syntax tree from Python's AST (Python3)
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,

## astroid 4.1.1

=== doc/requirements.txt ===
-e .
sphinx~=8.1
furo==2025.12.19

=== debian/changelog ===
astroid (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1 (Closes: #1125340)
  * debian/control
    + Remove Rules-Requires-Root field
    + Bump Standards-Version to 4.7.3
  * debian/source/lintian-overrides
    + Remove unused lintian override
  * debian/copyright
    + Extend debian copyright holders years

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 28 Feb 2026 20:00:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: astroid
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniel Echeverri <epsilon@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -17,8 +16,7 @@
                python3-six,
                python3-typing-extensions (>= 3.10.0) <!nocheck>,
                python3-wrapt,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/pylint-dev/astroid
 Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid
